El post que buscas se encuentra eliminado, pero este también te puede interesar

Instalar Impresoras en Linux Debian, Ubuntu en CUPS

Al fin encontre como solucionar mi problema con la impresora canon Pixma ip1800. despues de mucho tiempo buscandole solucion xD

Nota: esto funciona en cualquier distribucion Linux que tenga CUPS instalado.

Todo el problema siempre fue q los paquetes .deb y los drivers q se descargan de la pagina oficial no contienen el tan preciado archivo PPD, elcual te hace funcionar la impresora ... cosa q no me parece casualidad, pero bien .... el hecho es que ahora si ya se como instalar las canon Pixma iP1800, entre otras canon de inyeccion de tinta, lo cual me trae un gran alivio por los casos q siempre encuentro de clientes que les instalo cualquier distribucion Linux y siempre el tema de las impresoras era el punto mas critico .....
a continuacion explicare los pasos a seguir :

1º Debemos de identificar el modelo de la impresora (si es iP1800, iP 1900, iP 2600 Etc.)

2º Buscamos el driver, para el modelo especifico de la impresora, hay que buscar de preferencia el archivo .deb ; en cualqueir caso con el CD de Driver, que trae la impresora cuando se compra ... igual no deberia de dar problema .

3º ====OJO=== Hay q tener especial cuidado en revisar en las carpetas del driver para la impresora que exista una carpeta llamada usr/share dentro de esta carpeta debe de existir una carpeta llamada PPD, dentro de esa carpeta se contiene el archivo clave (y q posiblemente a muchos no les aparesca al descargarlo de la pagina oficial, en cualquier caso les dejare el enlace para que descarguen el que yo use para la iP1800 como ejemplo).

4º Al identificar donde se encuentra el archivo PPD (dentro de la carpeta antes mencionada) conectamos la impresora ==> la encendemos y esperamos que la reconozca.

5º En el navegador entramos a esta direccion (no es necesario tener internet) http://localhost:631/ . Ahi accedemos a CUPS para agregar la impresora.

6º Seleccionamos agregar impresora ==> seleccionamos "Adding Printers and Classes".. ===> luego ==>add printer ==>luego seleccionamos==> Canon iP1800 series (Canon iP1800 series) (dependiendo de la impresora varia el nombre ).

7º Luego Seleccionamos continuar =OJO==> Luego sleccionamos el boton a la par de "Or Provide a PPD File:" ahi buscamos el archivo PPD que previamente identificamos su ubicacion.

8º Por ultimo solo seleccionamos Agregar impresora o Add Printer si esta en ingles ===> Luego solo debemos de seleccionar el tamaño por defecto de la pagina a usar no cambiar nada mas de eso .... ===> Luego seleccionamos Set Default Options o configuracion por defecto segun el idioma en q este CUPS y listo ..... La impresora esta lista para imprimir

Nota: Queda con configuracion de 600 dpi, si quieren cambiar resolucion o cambiar calidad de tinta tiene que modificar el archivo de configuracion. Por lo demas la impresora ya esta lista para usarse.

CUALQUIER DUDA O CONSULTA SOLO DEJA EL COMENTARIO .
==OJO===
SE DEBE DE DESCARGAR EL DRIVER DE LA IMPRESORA A INSTALAR EN FORMATO RPM O .DEB
SE INSTALAN LOS DOS ARCHIVOS PORQUE SON DOS... UN COMON Y EL OTRO QUE ES EL DRIVER.
LUEGO DE INSTALADO SE SIGUE EL PASO DE BUSCAR EL .PPD....... =)

3 comentarios - Instalar Impresoras en Linux Debian, Ubuntu en CUPS

@el_gumas
gracias viejo yo tengo una ip 1300 y no encuentro la manera de hacerla funcionar
@jl3785
es el mismo procedimiento ... yo tengo una ip 1500 y el proceso es el mismo ... eldetalle fundamental es conseguir los drivers en .deb o RPM.... y revisar q contenga la carpeta PPD sino la tiene hay q buscar en otro lado el driver ... suerte =)
@jlauriente
Le faltan capturas, pero buen post.
Saludos!
@jl3785
si le faltaron capturas pero no lo quise hacer muy extenso y como son pasos procedimentales considere q no habria donde perderse sin capturas ... gracias por la observacion y espero t sirve el aporte =)
@javitonet78
hola , ante todo gracias, aun no logro hacer imprimir mi canon IR1022IF, pero gracias a tu guia pude localizar ese archivo PPD, que el archivo que baje de la pagina oficial de canon me dice que es compatible con ubuntu 12.04, me descargo un archivo .zip, los decomprimi y el archivo ppd esta denro de la casrpeta Descargas/uk_eng/32-bit_Driver/Debian/cndrvcups-ufr2-uk_2.70-1_i386/usr/share/cups/model, elegi el modelo ir1023, por que el modelo que dice mi maquina no estaba pero me lo tomo bien, asi quedo: Controlador: Canon iR1018/1022/1023 UFRII LT ver.2.7 (escala de grises, dúplex)...pero el tema es que no me imprimi, ni siquiera la pagian de prueba. De todas maneras avance algo gracias a vos. Asi que ahi sigo chusmeando...

Saludos